#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "libtrans.h"

int main(argc,argv)
int argc;
char *argv[];
{
	int err,out=1;
	unsigned char buf[BUFSIZ];
	FILE *infile;
	unsigned char *p;

	if ((p=strrchr(argv[0],'/'))) p++;
	else p=argv[0];
	if (strcmp(p,"htmlreqtr") == 0) out=0;

	if ((argc < 2) || (*argv[1] == '-'))
		infile=stdin;
	else if ((infile=fopen(argv[1],"r")) == NULL)
	{
		perror(argv[1]);
		return 1;
	}

	/* settrverb(2); */

	if (settrtab_byname(getenv("LANG")) < 0)
	{
		fprintf(stderr,"%s: cannot setup translation\n",p);
		printf("Content-Type: text/html\n\n");
		printf("<HTML><TITLE>Error</TITLE><BODY>\n");
		printf("<H1>Code translation error</H1><BR>\n");
		printf("</BODY></HTML>\n");
		return 1;
	}

	if (infile != stdin)	/* Skip first line */
	{
		printf("Content-Type: text/html\n\n");

		fgets((char*)buf,sizeof(buf),infile); 
	}

	while (fgets((char*)buf,sizeof(buf),infile))
	{
		if (out)
			for (p=buf;*p;p++)
				(*p)=TR_OUT(*p);
		else
			for (p=buf;*p;p++)
				(*p)=TR_IN(*p);
		fputs((char*)buf,stdout);
	}
	return 0;
}
